package cn.reghao.tnb.content.app.vod.model.po;

import cn.reghao.jutil.jdk.db.BaseObject;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.time.LocalDateTime;

/**
 * @author reghao
 * @date 2024-04-06 22:31:16
 */
@NoArgsConstructor
@Setter
@Getter
public class BannerVideo extends BaseObject<Integer> {
    private Long createAt;
    private String videoId;
    private String title;
    private String coverUrl;

    public BannerVideo(VideoPost videoPost, long createAt) {
        this.videoId = videoPost.getVideoId();
        this.title = videoPost.getTitle();
        this.coverUrl = videoPost.getCoverUrl();
        this.createAt = createAt;
    }
}
